Bug 233386 - emulators/fs-uae: new upstream version 2.8.4
Summary: emulators/fs-uae: new upstream version 2.8.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-21 16:33 UTC by Felix Palmen
Modified: 2018-12-08 18:02 UTC (History)
4 users (show)

See Also:
bugzilla: maintainer-feedback? (tomse)


Attachments
upgrade fs-uae to 2.8.4 (13.27 KB, patch)
2018-11-21 16:33 UTC, Felix Palmen
no flags Details | Diff
patch for 2.8.4 that includes files in share/fs-uae (shaders and whatnot) (18.78 KB, patch)
2018-12-05 16:29 UTC, Johannes Lundberg
no flags Details | Diff
upgrade fs-uae to 2.8.4 (13.25 KB, patch)
2018-12-07 11:45 UTC, Felix Palmen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Felix Palmen 2018-11-21 16:33:02 UTC
Created attachment 199429 [details]
upgrade fs-uae to 2.8.4

This also adds CFLAGS / CPPFLAGS and a little patch to unbreak the build.
Comment 1 James Wright 2018-11-30 17:00:03 UTC
Applied your patch and everything seems to build fine on my system;

uname -a
FreeBSD macbook 12.0-PRERELEASE FreeBSD 12.0-PRERELEASE #0 r340868M: Sat Nov 24 14:30:06 GMT 2018     root@macbook:/usr/obj/usr/src/amd64.amd64/sys/GENERIC  amd64

Lets hope we can get this committed soon!
James
Comment 2 Fernando Apesteguía freebsd_committer 2018-11-30 17:09:27 UTC
Builds fine in 11.2{amd64,i386} and 12i386. Boots up fine in 11.2 too.

I'm awaiting for maintainer feedbakc or timeout
Comment 3 Johannes Lundberg 2018-12-05 16:29:09 UTC
Created attachment 199856 [details]
patch for 2.8.4 that includes files in share/fs-uae (shaders and whatnot)

I was just about to create a PR when I found this. I've basically done the same changes/patches but you've missed all the stuff in share/fs-uae that needs to be copied manually. I've attached my patch so take a look at that.
Comment 4 Felix Palmen 2018-12-05 16:55:21 UTC
(In reply to Johannes Lundberg from comment #3)
Isn't this all in the new zip file "fs-uae.dat"? I actually used the package built after my patch and it works fine for me...
Comment 5 Felix Palmen 2018-12-05 17:01:45 UTC
(In reply to Johannes Lundberg from comment #3)
And you definitely miss the build-dependency to archivers/zip needed for creating this file.

But it seems the patch could be improved, I completely missed to correct "USE_SDL" to sdl2 and introduced a manual lib dependency instead. Will fix that soon!
Comment 6 Johannes Lundberg 2018-12-05 17:27:12 UTC
(In reply to Felix Palmen from comment #5)

If that's the case then ignore my patch :)  In my rush I missed about the zip archive. Well, let's hope someone can commit this soon...
Comment 7 Felix Palmen 2018-12-05 17:38:43 UTC
(In reply to Johannes Lundberg from comment #6)
Well, I stumbled over the same thing. Poudriere made me aware of the new build dependency, so I just assumed this zip file contains everything needed -- of course I didn't test every single feature of the emulator, just booted up an old 1.x workbench, watched one demo and played one game :) just thinking if upstream doesn't install all that "crap" any more, they probably have a reason.

Anyways, your patch showed me where I still went wrong in mine, so I'll upload an update in the next days!
Comment 8 Fernando Apesteguía freebsd_committer 2018-12-06 18:42:18 UTC
(In reply to Felix Palmen from comment #7)
I'll wait for your update and test it again then.

Thanks!
Comment 9 Felix Palmen 2018-12-07 11:45:34 UTC
Created attachment 199930 [details]
upgrade fs-uae to 2.8.4

Updated patch for correct form of SDL2 dependency
Comment 10 Johannes Lundberg 2018-12-07 11:48:06 UTC
Do we have someone to get this committed? (maintainer seems absent..)
Comment 11 Fernando Apesteguía freebsd_committer 2018-12-07 13:19:14 UTC
(In reply to Johannes Lundberg from comment #10)

I will after testing. Thanks for the patch!
Comment 12 commit-hook freebsd_committer 2018-12-08 18:00:31 UTC
A commit references this bug:

Author: fernape
Date: Sat Dec  8 18:00:23 UTC 2018
New revision: 486969
URL: https://svnweb.freebsd.org/changeset/ports/486969

Log:
  emulators/fs-uae: update to 2.8.4

  While here:

  * Add missing USES values

  PR:     233386
  Submitted by:   felix@palmen-it.de
  Reviewed by:    johalun0@gmail.com, james.wright@jigsawdezign.com
  Approved by:    tomse@oagd.net (maintainer, timeout)

Changes:
  head/emulators/fs-uae/Makefile
  head/emulators/fs-uae/distinfo
  head/emulators/fs-uae/files/
  head/emulators/fs-uae/files/patch-src_od-win32_picasso96__win.cpp
  head/emulators/fs-uae/pkg-plist
Comment 13 Fernando Apesteguía freebsd_committer 2018-12-08 18:01:46 UTC
Landed.

Thanks all for your work!